aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorAlexandre Oliva <aoliva@redhat.com>2007-08-17 00:00:00 +0000
committerAlexandre Oliva <aoliva@redhat.com>2007-08-17 00:00:00 +0000
commit4708df65c97df53b2cebaf44c950bce199f3997e (patch)
treec1cd5bd2c987389d32d7944dcd05df6301bffa82 /contrib
parent9bb5c71bc8f5412beeb47b0a99623421072adef4 (diff)
ChangeLog:
* Makefile.def (STAGE2_CFLAGS, STAGE3_CFLAGS, STAGE4_CFLAGS): Add to flags_to_pass. Adjust uses of BOOT_CFLAGS. (bootstrap2-debug, bootstrap-debug): New bootstrap stages. * Makefile.tpl (STAGE2_CFLAGS, STAGE3_CFLAGS, STAGE4_CFLAGS): New. (do-compare, do-compare3, do-compare-debug): New. ([+compare-target+]): Use them. contrib/ChangeLog: * compare-debug: New. git-svn-id: https://gcc.gnu.org/svn/gcc/trunk@127570 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'contrib')
-rw-r--r--contrib/ChangeLog4
-rwxr-xr-xcontrib/compare-debug67
2 files changed, 71 insertions, 0 deletions
diff --git a/contrib/ChangeLog b/contrib/ChangeLog
index ca243b07818..0f66bd2aaaa 100644
--- a/contrib/ChangeLog
+++ b/contrib/ChangeLog
@@ -1,3 +1,7 @@
+2007-08-16 Alexandre Oliva <aoliva@redhat.com>
+
+ * compare-debug: New.
+
2007-08-16 H.J. Lu <hongjiu.lu@intel.com>
Andreas Schwab <schwab@suse.de>
diff --git a/contrib/compare-debug b/contrib/compare-debug
new file mode 100755
index 00000000000..c583a59c520
--- /dev/null
+++ b/contrib/compare-debug
@@ -0,0 +1,67 @@
+#! /bin/sh
+
+# Compare stripped copies of two given object files.
+
+# Copyright (C) 2007 Free Software Foundation
+# Originally by Alexandre Oliva <aoliva@redhat.com>
+
+# This file is part of GCC.
+
+# GCC is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 3, or (at your option) any later
+# version.
+
+# GCC is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
+# License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with GCC; see the file COPYING3. If not see
+# <http://www.gnu.org/licenses/>.
+
+if test $# != 2; then
+ echo 'usage: compare-debug file1.o file2.o' >&2
+ exit 1
+fi
+
+if test ! -f "$1"; then
+ echo "$1" does not exist >&2
+ exit 1
+fi
+
+if test ! -f "$2"; then
+ echo "$2" does not exist >&2
+ exit 1
+fi
+
+if test -f "$1".stripped; then
+ echo "$1".stripped already exists, overwriting >&2
+ exit 1
+fi
+
+if test -f "$2".stripped; then
+ echo "$2".stripped already exists, overwriting >&2
+ exit 1
+fi
+
+trap 'rm -f "$1".stripped "$2".stripped' 0 1 2 15
+
+cp "$1" "$1".stripped
+strip "$1".stripped
+
+cp "$2" "$2".stripped
+strip "$2".stripped
+
+if cmp "$1".stripped "$2".stripped; then
+ status=0
+else
+ status=1
+fi
+
+rm -f "$1".stripped "$2".stripped
+
+trap "exit $status; exit" 0 1 2 15
+
+exit $status